<template lang="html">
  <div class="field">
    <div class="file">
      <label class="file-label">
        <input class="file-input" type="file" name="label_file" @change="loadLabels" accept="application/json">
        <span class="file-cta button has-background-white">
          <span class="file-label">Import Labels</span>
        </span>
      </label>
    </div>
  </div>

</template>

<script>
export default {
  methods: {
    loadLabels(e) {
      var file = e.target.files[0]

      function fileLoadAsText(file) {
        var fileReader = new FileReader()
        return new Promise((resolve, reject) => {
          fileReader.onerror = () => {
            fileReader.abort()
            reject(new DOMExecpetion('Failed to parse file'))
          }

          fileReader.onload = () => {
            resolve(fileReader.result)
          }
          fileReader.readAsText(file)
        })
      }

      fileLoadAsText(file).then((response) => {
        var data = JSON.parse(response)
        console.log(response)

        for (var i = 0, payload = {}, image = {}; i < data.length; i++) {
          payload = {
            filename: data[i].filename,
            labels: data[i].labels
          }
          this.$store.commit('updateLabelsByName', payload)
          image = this.$store.getters.getImageByName(payload.filename)
          payload._id = image._id
          payload._etag = image._etag
          delete payload.filename
          this.$store.dispatch('updateLabel', payload)
        }
      })
    }
  }
}
</script>

<style lang="scss">
</style>
